Ticket #34 (closed defect: fixed)

Opened 6 years ago

Last modified 3 years ago

Sqlite3 not supported

Reported by: anonymous Owned by: andrew
Priority: major Milestone:
Component: commands Version:
Keywords: Cc:

Description

SQLite3 isn't supported. Seems like there should be a ticked for that. :)

Change History

comment:1 Changed 6 years ago by andrew

  • Status changed from new to assigned

Indeed it isn't - it's one of the things I plan to fix in the near future, however!

comment:2 Changed 6 years ago by wam-south-project@…

Could the fact that Sqlite is not yet supported be shown more prominently on the website? I just read what I believe to be all the documentation on the website for the tool and only after I tried using it didn't I discover that SQLite wasn't supported.

Ideally, I'd like to see this fact prominently on the front page, but lacking that, perhaps listed under "Database Independence" on the About page? Or on the Download page, or in the Docs someplace.

I totally understand the troubles SQLite makes for this kind of tool (with it's limited ALTER command and alter), but to raise my hope like you did only to have them dashed at runtime was cruel. :-)

comment:3 Changed 6 years ago by andrew

  • Status changed from assigned to closed
  • Resolution set to fixed

I did go ahead and add this note to the main page, but then decided closing a ticket would be a better use of my time. Thus, please find SQLite support in [93] (there's no column altering, but that's all one can ask for, really).

Note: See TracTickets for help on using tickets.